classification
Title: android does not have pwd.getpwall()
Type: behavior Stage:
Components: Cross-Build, Library (Lib), Tests Versions: Python 3.7, Python 3.6
process
Status: open Resolution:
Dependencies: 27027 32033 Superseder:
Assigned To: xdegaye Nosy List: Alex.Willmer, Roman.Evstifeev, python-dev, xdegaye
Priority: normal Keywords: patch

Created on 2016-04-26 13:29 by xdegaye, last changed 2017-11-25 16:33 by xdegaye.

Files
File name Uploaded Description Edit
pwd.patch xdegaye, 2016-04-26 13:29 review
pwd_2.patch xdegaye, 2016-05-20 09:22
pwd_3.patch xdegaye, 2016-12-12 09:22 review
Pull Requests
URL Status Linked Edit
PR 4561 merged xdegaye, 2017-11-25 15:48
Messages (6)
msg264279 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-04-26 13:29
User ids on android are the ids of the applications and they are used to enforce the applications access rights.  See the 'User IDs and File Access' section at http://developer.android.com/guide/topics/security/permissions.html.

Most integers are existing user ids on android. This may explain why getpwall() is missing.
Patch attached.
msg265919 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-20 09:22
This new patch adds a dependency to issue #27027.
msg282975 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-12-12 09:22
Patch updated to the current head of the default branch.
msg283082 - (view) Author: Roundup Robot (python-dev) Date: 2016-12-13 08:13
New changeset e89c9ab46d77 by Xavier de Gaye in branch '3.6':
Issue #26856: Fix the tests assuming that the pwd module has getpwall() and
https://hg.python.org/cpython/rev/e89c9ab46d77

New changeset 692083f85981 by Xavier de Gaye in branch 'default':
Issue #26856: Merge 3.6.
https://hg.python.org/cpython/rev/692083f85981
msg306962 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-11-25 15:50
The pwd module is broken when a member of the 'passwd’ data structure is NULL (issue 32033).
Remove _getpwall() and therefore skip test_pwd on Android until issue 32033 is fixed.
msg306966 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-11-25 16:32
New changeset 76fdac4c9f53eb8433a54bd3daf9f5cc2e702a44 by xdegaye in branch 'master':
bpo-26856: Skip test_pwd on Android until issue 32033 is fixed (GH-4561)
https://github.com/python/cpython/commit/76fdac4c9f53eb8433a54bd3daf9f5cc2e702a44
History
Date User Action Args
2017-11-25 16:33:07xdegayesetstage: patch review ->
2017-11-25 16:32:29xdegayesetmessages: + msg306966
2017-11-25 15:50:09xdegayesetstatus: closed -> open
messages: + msg306962

dependencies: + The pwd module implementation incorrectly sets some attributes to None
resolution: fixed ->
stage: resolved -> patch review
2017-11-25 15:48:26xdegayesetpull_requests: + pull_request4490
2016-12-13 09:12:35xdegayesetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-12-13 08:13:26python-devsetnosy: + python-dev
messages: + msg283082
2016-12-12 09:22:06xdegayesetfiles: + pwd_3.patch

messages: + msg282975
stage: patch review -> commit review
2016-10-28 10:56:05xdegayesetassignee: xdegaye
stage: patch review
components: + Tests
versions: + Python 3.7
2016-05-21 06:56:37xdegayesetdependencies: + add the 'is_android' attribute to test.support
2016-05-20 09:22:48xdegayesetfiles: + pwd_2.patch

messages: + msg265919
2016-05-03 07:15:35xdegayesetnosy: + Alex.Willmer
components: + Cross-Build
2016-04-26 16:04:41zach.warelinkissue26865 dependencies
2016-04-26 16:00:31Roman.Evstifeevsetnosy: + Roman.Evstifeev
2016-04-26 13:29:05xdegayecreate